﻿@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Coupons
            </h1>
        </div>
        <div class="actions">
            <a ui-sref='CouponsUpload({seasonDomain: MC.stateParams.seasonDomain})' class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Upload coupons">
                <i style="margin-top: 11px;" class="icon-upload fg-black"></i>
            </a>
            <a ui-sref='CouponAdd({seasonDomain: MC.stateParams.seasonDomain})' class="action on-left-more" data-toggle="tooltip" data-placement="bottom" title="Add new coupon">
                <i style="margin-top: 11px;" class="icon-plus-2 fg-black"></i>
            </a>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <label for="searchCoupon">Search by coupon name</label>
    <div class="input-control text" data-role="input-control">
        <input ng-model="searchCoupon" id="searchCoupon" type="text" placeholder="Enter coupon name here" ng-change="couponsSearch()">
        <button class="btn-search" tabindex="-1" type="button" ng-click="couponsSearch()"></button>
    </div>
    <div class="clearfix"></div>
    <kendo-grid options="mainGridOptions"></kendo-grid>
</div>
